
Core - Bug # 33104

Status: Resolved Priority: Should have
Author: Dennis Ahrens Category: Workspaces
Created: 2012-01-11 Assigned To:
Updated: 2013-12-10 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: create/move initial-placeholder page behind move-placeholder page broken.
Description

Fresh workspace without changes:

- Move page M that is located behind X as a child of Y to any other location.

- Now we create a new page N behind our moved page M (using the pagetree drag & drop) - the page seems to be located correct,
but if you refresh the pagetree this new page N is not at the intended location anymore.

- Searching the tree shows that it became a child of Y behind the page X, which was the old location of M.

This behaviour is reproduceable and you also ran into this issue, if you move a new page behind a moved page (after creating it
somewhere else)

Related issues:
related to Core - Bug # 31663: Moving pages (and page content) in the Workspa... Resolved 2011-11-08
related to Core - Bug # 55768: Drag & drop in Workspaces moves live page Resolved 2014-02-07
related to Core - Task # 55573: Failing moveContentRecordToDifferentPageAndCh... Resolved 2014-02-02

Associated revisions
Revision eae9e935 - 2012-02-06 10:10 - Dennis Ahrens 

[BUGFIX] create/move new page behind move-placeholder

Fixes the described scenerio below by using just another tcemain hook.

    -  Switch to a workspace without pending changes.
    -  Move page M that is located behind X as a child of Y to any other location.
    -  Now create a new page N behind our moved page M (using the pagetree drag & drop)

  the page seems to be located correct, but if you refresh the pagetree this new
  page N is not at the intended location anymore.

    -  Searching the tree shows that it became a child of Y behind the page X, which
  was the old location of M.

Change-Id: I1f3140f9822d3197cbdfddb7e954a8b0f90be491
Fixes: #33104
Releases: 4.5,4.6,4.7
Reviewed-on: http://review.typo3.org/7732
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Revision 66d2b3e9 - 2012-04-11 12:29 - Dennis Ahrens 

[BUGFIX] create/move new page behind move-placeholder

Fixes the described scenerio below by using just another tcemain hook.

    -  Switch to a workspace without pending changes.
    -  Move page M that is located behind X as a child of Y to any other location.
    -  Now create a new page N behind our moved page M (using the pagetree drag & drop)

  the page seems to be located correct, but if you refresh the pagetree this new
  page N is not at the intended location anymore.

    -  Searching the tree shows that it became a child of Y behind the page X, which
  was the old location of M.

Change-Id: I1f3140f9822d3197cbdfddb7e954a8b0f90be491
Fixes: #33104
Releases: 4.5,4.6,4.7
Reviewed-on: http://review.typo3.org/8859
Reviewed-by: Marco Bresch
Tested-by: Marco Bresch

Revision 543f608c - 2012-04-11 14:09 - Dennis Ahrens 

[BUGFIX] create/move new page behind move-placeholder

Fixes the described scenerio below by using just another tcemain hook.

    -  Switch to a workspace without pending changes.
    -  Move page M that is located behind X as a child of Y to any other location.
    -  Now create a new page N behind our moved page M (using the pagetree drag & drop)

  the page seems to be located correct, but if you refresh the pagetree this new
  page N is not at the intended location anymore.

    -  Searching the tree shows that it became a child of Y behind the page X, which
  was the old location of M.

Change-Id: I1f3140f9822d3197cbdfddb7e954a8b0f90be491
Fixes: #33104
Releases: 4.5,4.6,4.7
Reviewed-on: http://review.typo3.org/8858
Reviewed-by: Marco Bresch
Tested-by: Marco Bresch

Revision aa5804dd - 2014-02-20 17:27 - Oliver Hader

[BUGFIX] moveContentRecordToDifferentPageAndChangeSorting fails

In a workspace, an existing content record is moved to an
existing page. Another existing record is moved after the
previously moved record on the target page. The Functional
Tests show, that the content records are faulty after the
processing and the first content record disappeared.

A similar behaviour has been discovered for pages which finally
lead to the regression causing this bug in issue #33104. Back
then a hook has been introduced for moving page records and
post-processing the database values. However, this hook has
been called for all move operations for any table and was wrong
in terms of the expected specific problem to be solved.

The hook gets reverted, since it's sufficient to resolve move
placeholders if a record shall be created after an existing one.

Resolves: #55573
Releases: 6.2
Change-Id: Ie5cbc95daf4d46f4204cf18e80e17ff4fa37f496
Reviewed-on: https://review.typo3.org/27733
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2012-01-11 07:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7732

#2 - 2012-01-11 07:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7732

#3 - 2012-01-11 14:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7732

#4 - 2012-02-06 10:08 - Gerrit Code Review

Patch set 1 for branch 4.5 has been pushed to the review server.
It is available at http://review.typo3.org/8858

#5 - 2012-02-06 10:08 - Gerrit Code Review

Patch set 1 for branch 4.6 has been pushed to the review server.
It is available at http://review.typo3.org/8859
#6 - 2012-02-06 10:10 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7732

#7 - 2012-04-11 12:17 - Gerrit Code Review

Patch set 2 for branch 4.6 has been pushed to the review server.
It is available at http://review.typo3.org/8859

#8 - 2012-04-11 14:08 - Gerrit Code Review

Patch set 2 for branch 4.5 has been pushed to the review server.
It is available at http://review.typo3.org/8858

#9 - 2012-04-11 15:34 - Marco Bresch
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

published for 4.5- and 4.6-branch too

#10 - 2013-12-10 01:04 - Michael Stucki
- Category set to Workspaces

#11 - 2013-12-10 01:06 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
